// pages/personal/personal.js
const app = getApp();
const util = require('../../utils/util');
let WebIM = require("../../utils/WebIM")["default"];

Page({

    /**
     * 页面的初始数据
     */
    data: {
        imgPath: app.globalData.imgPath,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.info('userinfo', app.globalData.userInfo);
        console.info('roleinfo', app.globalData.roleInfo);
        this.setData({
            photo: app.globalData.userInfo.headImgUrl,
            username: app.globalData.userInfo.usernameShow,
            roleName: app.globalData.roleInfo.name,
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },

    /**
     * 退出登录
     */
    logout: function () {
        wx.showModal({
            content: '确定退出登录',
            success: (res) => {
                if (res.confirm) {
                    app.globalData.Authorization = '';
                    app.globalData.userInfo = {};
                    app.globalData.roleInfo = {};
                    WebIM.conn.close();
                    wx.redirectTo({
                        url: '../login/login',
                    });
                }
            }
        });
    }

})